Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.discount.association
Class UseCountLimitException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.beasys.commerce.foundation.exception.ApplicationException
                  com.bea.commerce.ebusiness.discount.DiscountException
                      com.bea.commerce.ebusiness.discount.association.UseCountLimitException

All Implemented Interfaces
  MessageCatalogException, Serializable

Deprecated

    @Deprecated
    public class UseCountLimitException

extends DiscountException

Indicates that the discount association's use count has exceeded the discount's allowed uses limit

See Also
  Serialized Form

Field Summary

Fields inherited from class com.bea.commerce.ebusiness.discount.DiscountException
`MESSAGE_NAMESPACE`

Fields inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`UseCountLimitException(String messageKey)` Deprecated Class constructor taking key of the associated catalog message.
`UseCountLimitException(String messageKey, Exception exception)` Deprecated Class constructor taking key of the associated catalog message and an embedded exception.
`UseCountLimitException(String messageKey, Object argument)` Deprecated Class constructor taking key of the associated catalog message and a message parameter substitution argument.
`UseCountLimitException(String messageKey, Object[] arguments)` Deprecated Class constructor taking key of the associated catalog message and message parameter substitution arguments.

Method Summary

Methods inherited from class com.beasys.commerce.foundation.exception.ApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UseCountLimitException

    public UseCountLimitException(String messageKey)

  Deprecated
  Class constructor taking key of the associated catalog message.

  Parameters
    `messageKey` - The associated catalog message key.

### UseCountLimitException

    public UseCountLimitException(String messageKey,
                                  Exception exception)

  Deprecated
  Class constructor taking key of the associated catalog message and an embedded exception.

  Parameters
    `messageKey` - The associated catalog message key.
    `exception` - The embedded exception.

### UseCountLimitException

    public UseCountLimitException(String messageKey,
                                  Object argument)

  Deprecated
  Class constructor taking key of the associated catalog message and a message parameter substitution argument.

  Parameters
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.

### UseCountLimitException

    public UseCountLimitException(String messageKey,
                                  Object[] arguments)

  Deprecated
  Class constructor taking key of the associated catalog message and message parameter substitution arguments.

  Parameters
    `messageKey` - The associated catalog message key.
    `arguments` - The message parameter substitution arguments.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.